### Hierarchy

- SiteSelectorComponent

## Index

### Constructors

- constructor

### Properties

- _httpClient
- filteredHosts
- host
- messageService
- siteSelectorService
- sites
- updateService

### Methods

- filterHosts
- handleDropdownClick
- handleSiteResults
- siteSelected

## Constructors

### constructor

- new SiteSelectorComponent(_httpClient: HttpClient, updateService: SiteBrowserState, messageService: NotificationService, siteSelectorService: SiteSelectorService): SiteSelectorComponent

- - Defined in components/site-selector/site-selector.component.ts:25

  #### Parameters

  - ##### _httpClient: HttpClient

  - ##### updateService: SiteBrowserState

  - ##### messageService: NotificationService

  - ##### siteSelectorService: SiteSelectorService

  #### Returns SiteSelectorComponent

## Properties

### Private _httpClient

_httpClient: HttpClient

- Defined in components/site-selector/site-selector.component.ts:28

### filteredHosts

filteredHosts: any[]

- Defined in components/site-selector/site-selector.component.ts:24

### host

host: string = ""

- Defined in components/site-selector/site-selector.component.ts:25

### Private messageService

messageService: NotificationService

- Defined in components/site-selector/site-selector.component.ts:30

### Private siteSelectorService

siteSelectorService: SiteSelectorService

- Defined in components/site-selector/site-selector.component.ts:31

### sites

sites: Site[]

- Defined in components/site-selector/site-selector.component.ts:23

### Private updateService

updateService: SiteBrowserState

- Defined in components/site-selector/site-selector.component.ts:29

## Methods

### filterHosts

- filterHosts(event: any): void

- - Defined in components/site-selector/site-selector.component.ts:41

  #### Parameters

  - ##### event: any

  #### Returns void

### handleDropdownClick

- handleDropdownClick(): void

- - Defined in components/site-selector/site-selector.component.ts:47

  #### Returns void

### Private handleSiteResults

- handleSiteResults(hosts: Site[], event?: any): void

- - Defined in components/site-selector/site-selector.component.ts:54

  #### Parameters

  - ##### hosts: Site[]

  - ##### Default value event: any = 0

  #### Returns void

### siteSelected

- siteSelected(event: any): void

- - Defined in components/site-selector/site-selector.component.ts:37

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc